#
# spec file for package gedit-plugins
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gedit-plugins
Summary:        A collection of plugins for gedit
License:        GPL-2.0+
Group:          Productivity/Editors/Other
Version:        3.22.0
Release:        0
Source:         http://download.gnome.org/sources/gedit-plugins/3.22/%{name}-%{version}.tar.xz
Source1:        gedit-plugins.SUSE
# PATCH-FIX-UPSTEAM bracketcompletion-use-key-release-event-to-work-wi.patch boo#1027448 bgo#778737 hillwood@opensuse.org -- Switch to use key release event for ibus pinyin input method
Patch0:         bracketcompletion-use-key-release-event-to-work-wi.patch
Url:            http://live.gnome.org/GeditPlugins
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkg-config
%if !0%{?is_opensuse}
BuildRequires:  translation-update-upstream
%endif
BuildRequires:  vala
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-python)
BuildRequires:  pkgconfig(gedit) >= 3.22.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.17.3
BuildRequires:  pkgconfig(libgit2-glib-1.0) >= 0.0.6
BuildRequires:  pkgconfig(libpeas-gtk-1.0) >= 1.7.0
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(zeitgeist-2.0) >= 0.9.12
# configure tests for python gi-bindings of gucharmap
BuildRequires:  typelib-1_0-Gucharmap-2_90
Requires:       %{name}-lang = %{version}
Requires:       gedit >= 3.14.0
Enhances:       gedit
Recommends:     %{name}-data
Suggests:       gedit-plugin-bookmarks
Suggests:       gedit-plugin-bracketcompletion
Suggests:       gedit-plugin-charmap
Suggests:       gedit-plugin-codecomment
Suggests:       gedit-plugin-colorpicker
Suggests:       gedit-plugin-colorschemer
Suggests:       gedit-plugin-commander
Suggests:       gedit-plugin-dashboard
Suggests:       gedit-plugin-drawspaces
Suggests:       gedit-plugin-findinfiles
Suggests:       gedit-plugin-git
Suggests:       gedit-plugin-joinlines
Suggests:       gedit-plugin-multiedit
Suggests:       gedit-plugin-smartspaces
Suggests:       gedit-plugin-synctex
Suggests:       gedit-plugin-terminal
Suggests:       gedit-plugin-textsize
Suggests:       gedit-plugin-wordcompletion
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Here follows a list of plugins currently available in gedit-plugins:

 * Bracket Completion Add automatically a closing bracket when you
   insert one
 * Charmap Select characters from a charactermap
 * Code Comment Comment or uncomment blocks of code
 * Color picker Select and insert a color from a dialog (for html,
   css, php)
 * Join lines/ Split lines Join or split multiple lines through Ctrl+J
   and Ctrl+Shift+J
 * Session Saver Allow to bookmark working sessions in order to get
   them back for further use
 * Smart Spaces Allow to unindent like if you were using tabs while
   you're using spaces
 * Show tabbar A very basic plugin which shows or hides the gedit tabbar
 * Terminal A simple terminal widget accessible from the bottom panel

%package -n %{name}-data
Summary:        Common data required by plugins
Group:          Productivity/Editors/Other
Requires:       gedit

%description -n %{name}-data
Common files required by all plugins

%package -n gedit-plugin-bookmarks
Summary:        Gedit bookmarks plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/bookmarks.plugin

%description -n gedit-plugin-bookmarks
The gedit bookmarks plugin.

%package -n gedit-plugin-bracketcompletion
Summary:        Gedit bracketcompletion plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/bracketcompletion.plugin

%description -n gedit-plugin-bracketcompletion
The gedit bracketcompletion plugin.

%package -n gedit-plugin-charmap
Summary:        Gedit charmap plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/charmap.plugin

%description -n gedit-plugin-charmap
The gedit charmap plugin.

%package -n gedit-plugin-codecomment
Summary:        Gedit codecomment plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/codecomment.plugin

%description -n gedit-plugin-codecomment
The gedit codecomment plugin.

%package -n gedit-plugin-colorpicker
Summary:        Gedit colorpicker plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/colorpicker.plugin

%description -n gedit-plugin-colorpicker
The gedit colorpicker plugin.

%package -n gedit-plugin-colorschemer
Summary:        Gedit colorschemer plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/colorschemer.plugin

%description -n gedit-plugin-colorschemer
The gedit colorschemer plugin.

%package -n gedit-plugin-commander
Summary:        Gedit commander plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/commander.plugin

%description -n gedit-plugin-commander
The gedit commander plugin.

%package -n gedit-plugin-dashboard
Summary:        Gedit dashboard plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/dashboard.plugin

%description -n gedit-plugin-dashboard
The gedit dashboard plugin.

%package -n gedit-plugin-drawspaces
Summary:        Gedit drawspaces plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/drawspaces.plugin

%description -n gedit-plugin-drawspaces
The gedit drawspaces plugin.

%package -n gedit-plugin-findinfiles
Summary:        Gedit Find In Files plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}

%description -n gedit-plugin-findinfiles
The gedit Find In Files plugin.

%package -n gedit-plugin-git
Summary:        Gedit git plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/git.plugin

%description -n gedit-plugin-git
The gedit git plugin.

%package -n gedit-plugin-joinlines
Summary:        Gedit joinlines plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/joinlines.plugin

%description -n gedit-plugin-joinlines
The gedit joinlines plugin

%package -n gedit-plugin-multiedit
Summary:        Gedit multiedit plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/multiedit.plugin

%description -n gedit-plugin-multiedit
The gedit multiedit plugin

%package -n gedit-plugin-smartspaces
Summary:        Gedit smartspaces plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/smartspaces.plugin

%description -n gedit-plugin-smartspaces
The gedit smartspaces plugin

%package -n gedit-plugin-synctex
Summary:        Gedit synctex plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/synctex.plugin

%description -n gedit-plugin-synctex
The gedit synctex plugin

%package -n gedit-plugin-terminal
Summary:        Gedit terminal plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/terminal.plugin

%description -n gedit-plugin-terminal
The gedit terminal plugin

%package -n gedit-plugin-textsize
Summary:        Gedit textsize plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/textsize.plugin

%description -n gedit-plugin-textsize
The gedit textsize plugin

%package -n gedit-plugin-wordcompletion
Summary:        Gedit wordcompletion plugin
Group:          Productivity/Editors/Other
Requires:       %{name}-data = %{version}
Provides:       gedit-plugins:%{_libdir}/gedit/plugins/wordcompletion.plugin

%description -n gedit-plugin-wordcompletion
The gedit wordcompletion plugin

%package -n gedit-plugin-zeitgeist
Summary:        Zeitgeist dataprovider for gedit
Group:          Productivity/Text/Editors
Requires:       gedit
# For dashboard plugin
Requires:       %{name}-data
Requires:       zeitgeist
Supplements:    packageand(gedit:zeitgeist)

%description -n gedit-plugin-zeitgeist
The zeitgeist plugin for gedit provides a zeitgeist dataprovider that
logs access and leave event for documents used with gedit.

%lang_package
%prep
%setup -q
%patch0 -p1
install %{S:1} .
%if !0%{?is_opensuse}
translation-update-upstream
%endif

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}
%find_lang gedit %{name}.lang
%fdupes %{buildroot}/%{_datadir}/gedit/plugins
%fdupes %{buildroot}/%{_libdir}/gedit/plugins
%fdupes %{buildroot}/%{_datadir}/help

%clean
rm -rf %{buildroot}

%post -n gedit-plugin-drawspaces
%glib2_gsettings_schema_post

%post -n gedit-plugin-terminal
%glib2_gsettings_schema_post

%post -n gedit-plugin-wordcompletion
%glib2_gsettings_schema_post

%postun -n gedit-plugin-drawspaces
%glib2_gsettings_schema_postun

%postun -n gedit-plugin-terminal
%glib2_gsettings_schema_postun

%postun -n gedit-plugin-wordcompletion
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc gedit-plugins.SUSE

%files -n %{name}-data
%defattr(-,root,root)
# Common files
%{_libdir}/gedit/plugins/gpdefs.py*
%dir %{_libdir}/gedit/plugins/__pycache__
%{_libdir}/gedit/plugins/__pycache__/gpdefs*.pyc

%files -n gedit-plugin-bookmarks
## Explicitly list all plugins so we know when we miss one
# bookmarks
%defattr(-,root,root)
%{_datadir}/appdata/gedit-bookmarks.metainfo.xml
%{_libdir}/gedit/plugins/bookmarks.plugin
%{_libdir}/gedit/plugins/libbookmarks.so

%files -n gedit-plugin-bracketcompletion
# bracketcompletion
%defattr(-,root,root)
%{_datadir}/appdata/gedit-bracketcompletion.metainfo.xml
%{_libdir}/gedit/plugins/bracketcompletion.plugin
%{_libdir}/gedit/plugins/bracketcompletion.py*
%{_libdir}/gedit/plugins/__pycache__/bracketcompletion*.pyc

%files -n gedit-plugin-charmap
# charmap
%defattr(-,root,root)
%{_datadir}/appdata/gedit-charmap.metainfo.xml
%{_libdir}/gedit/plugins/charmap.plugin
%{_libdir}/gedit/plugins/charmap/

%files -n gedit-plugin-codecomment
# codecomment
%defattr(-,root,root)
%{_datadir}/appdata/gedit-codecomment.metainfo.xml
%{_libdir}/gedit/plugins/codecomment.plugin
%{_libdir}/gedit/plugins/codecomment.py*
%{_libdir}/gedit/plugins/__pycache__/codecomment*.pyc

%files -n gedit-plugin-colorpicker
# colorpicker
%defattr(-,root,root)
%{_datadir}/appdata/gedit-colorpicker.metainfo.xml
%{_libdir}/gedit/plugins/colorpicker.plugin
%{_libdir}/gedit/plugins/colorpicker.py*
%{_libdir}/gedit/plugins/__pycache__/colorpicker*.pyc

%files -n gedit-plugin-colorschemer
# colorschemer
%defattr(-,root,root)
%{_datadir}/appdata/gedit-colorschemer.metainfo.xml
%{_libdir}/gedit/plugins/colorschemer.plugin
%{_datadir}/gedit/plugins/colorschemer/
%{_libdir}/gedit/plugins/colorschemer/

%files -n gedit-plugin-commander
# commander
%defattr(-,root,root)
%{_datadir}/appdata/gedit-commander.metainfo.xml
%{_libdir}/gedit/plugins/commander.plugin
%{_libdir}/gedit/plugins/commander/
%{_datadir}/gedit/plugins/commander/

%files -n gedit-plugin-dashboard
# dashboard
%defattr(-,root,root)
%{_datadir}/appdata/gedit-dashboard.metainfo.xml
%{_libdir}/gedit/plugins/dashboard.plugin
%{_libdir}/gedit/plugins/dashboard/

%files -n gedit-plugin-drawspaces
# drawspaces
%defattr(-,root,root)
%{_datadir}/appdata/gedit-drawspaces.metainfo.xml
%{_libdir}/gedit/plugins/drawspaces.plugin
%{_libdir}/gedit/plugins/libdrawspaces.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.drawspaces.gschema.xml

%files -n gedit-plugin-findinfiles
# Find in Files
%defattr(-,root,root)
%{_datadir}/appdata/gedit-findinfiles.metainfo.xml
%{_libdir}/gedit/plugins/findinfiles.plugin
%{_libdir}/gedit/plugins/libfindinfiles.so

%files -n gedit-plugin-git
# git
%defattr(-,root,root)
%{_datadir}/appdata/gedit-git.metainfo.xml
%{_libdir}/gedit/plugins/git.plugin
%{_libdir}/gedit/plugins/git/

%files -n gedit-plugin-joinlines
# joinlines
%defattr(-,root,root)
%{_datadir}/appdata/gedit-joinlines.metainfo.xml
%{_libdir}/gedit/plugins/joinlines.plugin
%{_libdir}/gedit/plugins/joinlines.py*
%{_libdir}/gedit/plugins/__pycache__/joinlines*.pyc

%files -n gedit-plugin-multiedit
# multiedit
%defattr(-,root,root)
%{_datadir}/appdata/gedit-multiedit.metainfo.xml
%{_libdir}/gedit/plugins/multiedit.plugin
%{_libdir}/gedit/plugins/multiedit/

%files -n gedit-plugin-smartspaces
# smartspaces
%defattr(-,root,root)
%{_datadir}/appdata/gedit-smartspaces.metainfo.xml
%{_libdir}/gedit/plugins/smartspaces.plugin
%{_libdir}/gedit/plugins/smartspaces.py*
%{_libdir}/gedit/plugins/__pycache__/smartspaces*.pyc

%files -n gedit-plugin-synctex
# synctex
%defattr(-,root,root)
%{_datadir}/appdata/gedit-synctex.metainfo.xml
%{_libdir}/gedit/plugins/synctex.plugin
%{_libdir}/gedit/plugins/synctex/

%files -n gedit-plugin-terminal
# terminal
%defattr(-,root,root)
%{_datadir}/appdata/gedit-terminal.metainfo.xml
%{_libdir}/gedit/plugins/terminal.plugin
%{_libdir}/gedit/plugins/terminal.py*
%{_libdir}/gedit/plugins/__pycache__/terminal*.pyc
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.terminal.gschema.xml

%files -n gedit-plugin-textsize
# textsize
%defattr(-,root,root)
%{_datadir}/appdata/gedit-textsize.metainfo.xml
%{_libdir}/gedit/plugins/textsize.plugin
%{_libdir}/gedit/plugins/textsize/

%files -n gedit-plugin-wordcompletion
# wordcompletion
%defattr(-,root,root)
%{_datadir}/appdata/gedit-wordcompletion.metainfo.xml
%{_libdir}/gedit/plugins/wordcompletion.plugin
%{_libdir}/gedit/plugins/libwordcompletion.so
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.wordcompletion.gschema.xml

%files lang -f %{name}.lang

%files -n gedit-plugin-zeitgeist
%defattr(-, root, root)
%{_datadir}/appdata/gedit-zeitgeist.metainfo.xml
%{_libdir}/gedit/plugins/zeitgeist.plugin
%{_libdir}/gedit/plugins/libzeitgeist.so

%changelog
